if jCheck != undefined do destroydialog jCheck
struct objetoClass
(
	fn contador =
	(
		global ContadorturboSmooth= #()
		global ContadorMeshMooth= #()
		global ContadorEditMesh = #()
		global ContadorCamera = #()
		global ContadorLight= #()
		select $*
		for obj in selection do 
		(
			if obj.modifiers[#TurboSmooth] != undefined do append ContadorturboSmooth obj
			if obj.modifiers[#meshsmooth] != undefined do append ContadorMeshMooth obj
			if (superclassof obj) == geometryClass do append ContadorEditMesh obj 
			if (superclassof obj) == light do append ContadorLight obj 
			if (superclassof obj) == camera do append ContadorCamera obj 
		)
		clearselection()
	),
	fn convertMesh =
	(
		if selection.count > 0 then for obj in selection do if (superclassof obj) == geometryClass do convertTo obj Mesh
		else 
		(
			select $*
			for obj in selection do if (superclassof obj) == geometryClass do convertTo obj Mesh
			clearselection()
		)
	),
	fn convertPoly=
	(
		if selection.count > 0 then for obj in selection do if (superclassof obj) == geometryClass do convertToPoly obj 
		else 
		(
			select $*
			for obj in selection do if (superclassof obj) == geometryClass do convertToPoly obj 
			clearselection()
		)
	),
	fn alinearPivote =
	(
		if selection.count > 0 then 
		(
			for obj in selection do 
			(
				if (superclassof obj) == geometryClass do
				(
					obj.pivot = obj.center
					obj.pivot = [obj.pos[1],obj.pos[2],0]
					resetxform obj
					WorldAlignPivot obj
				)
			)
		)
		else 
		(
			select $*
			for obj in selection do 
			(
				if (superclassof obj) == geometryClass do
				(
					obj.pivot = obj.center
					obj.pivot = [obj.pos[1],obj.pos[2],0]
					resetxform obj
					WorldAlignPivot obj
				)
			)
			clearselection()
		)
	),
	fn atacharTodo =
	(
		select $*
		a = selection as array
		for n = 1 to a.count do 
		(	
				if n == 1 then convertToPoly a[1]
				else a[1].attach a[n] a[1]
		)
		clearselection()
	),
	fn eliminarExtras =
	(
		objetosMaya = #()
		ObjetosNoMaya = #()
		select $*
		for n = 1 to selection.count do 
		(
			if (superClassof $[n]) == geometryClass then append objetosMaya $[n]
			else append ObjetosNoMaya $[n]
		)
		delete ObjetosNoMaya
		clearselection()
	),
	fn desagrupar = 
	(
		if selection.count > 0 then for obj in selection do explodegroup obj
		else 
		(
			select $*
			for obj in selection do explodegroup obj
			clearselection()
		)
	),
	fn lockPos =
	(
		if selection.count > 0 then for obj in selection do setTransformLockFlags obj #{1,2,3}
		else
		(
			select $*
			for obj in selection do setTransformLockFlags obj #{1,2,3}
			clearselection()
		)
	),
	fn lockRot =
	(
		if selection.count > 0 then for obj in selection do setTransformLockFlags obj #{4,5,6}
		else
		(
			select $*
			for obj in selection do setTransformLockFlags obj #{4,5,6}
			clearselection()
		)
	),
	fn lockScl =
	(
		if selection.count > 0 then for obj in selection do setTransformLockFlags obj #{7,8,9}
		else
		(
			select $*
			for obj in selection do setTransformLockFlags obj #{7,8,9}
			clearselection()
		)
	),
	fn lockAll =
	(
		if selection.count > 0 then for obj in selection do setTransformLockFlags obj #{1,2,3,4,5,6,7,8,9}
		else
		(
			select $*
			for obj in selection do setTransformLockFlags obj #{1,2,3,4,5,6,7,8,9}
			clearselection()
		)
	),
	fn unlockAll =
	(
		if selection.count > 0 then for obj in selection do setTransformLockFlags obj #{}
		else
		(
			select $*
			for obj in selection do setTransformLockFlags obj #{}
			clearselection()
		)
	)
)
objeto = objetoClass()
rollout jCheck "jCheck - check scene" 
(
	groupBox gInfo "Info Scene" pos:[6,6] width:219 height:88
	groupBox grAction "Action in scene" pos:[6,96] width:217 height:72
	groupBox grlock "Lock object in scene" pos:[7,171] width:217 height:72
	label iTurbosmooth "Turbosmooths:" pos:[13,22] width:101 height:15
	label iMeshmooth "Meshmooths:" pos:[14,36] width:101 height:16
	label iPolys "Meshs:" pos:[14,49] width:101 height:16
	label iLights "Lights:" pos:[15,62] width:101 height:16
	label iCameras "Cameras:" pos:[14,76] width:101 height:16
	label nTurboSmooth "0" pos:[95,22] width:20 height:15
	label nMeshmooth "0" pos:[95,36] width:20 height:16
	label nPolys "0" pos:[95,49] width:20 height:16
	label nLights "0" pos:[95,62] width:20 height:16
	label nCameras "0" pos:[95,76] width:20 height:16
	button tSelect "selects" pos:[122,24] width:44 height:11
	button tDelete "delete" pos:[169,24] width:44 height:11
	button mSelect "selects" pos:[122,38] width:44 height:11
	button mDelete "delete" pos:[169,38] width:44 height:11
	button pSelect "selects" pos:[122,51] width:44 height:11
	button pDelete "delete" pos:[169,51] width:44 height:11
	button lSelect "selects" pos:[122,64] width:44 height:11
	button lDelete "delete" pos:[169,64] width:44 height:11
	button cSelect "selects" pos:[122,78] width:44 height:11
	button cDelete "delete" pos:[169,78] width:44 height:11
	button bPoly "Editable poly" pos:[15,116] width:97 height:18
	button bMesh "Editable mesh" pos:[118,115] width:97 height:18
	button bAttach "Attach all obj" pos:[15,140] width:97 height:18
	button bOpen "Open all group" pos:[118,140] width:97 height:18	
	button lockPos "Lock Pos" pos:[16,192] width:62 height:19
	button lockRot "Lock Rot" pos:[85,192] width:62 height:19
	button loskScale "Lock Scale" pos:[155,192] width:62 height:19
	button lockAll "Lock all object" pos:[16,215] width:97 height:18
	button unlockAll "Unlock all object" pos:[119,215] width:97 height:18
	button bPrepareObj "Export Obj mesh" pos:[10,250] width:100 height:37
	button bPrepareScn "Export Scene mesh" pos:[119,250] width:100 height:37
	button refresh "refresh" pos:[10,295] width:210 height:15
	on jCheck open do
	(
		objeto.contador()
		if ContadorturboSmooth.count > 0 do nTurboSmooth.text = (ContadorturboSmooth.count as string )
		if ContadorMeshMooth.count > 0 do nMeshmooth.text = (ContadorMeshMooth.count as string )
		if ContadorEditMesh.count > 0 do nPolys.text = (ContadorEditMesh.count as string )
		if ContadorLight.count > 0 do nLights.text = (ContadorLight.count as string )
		if ContadorCamera.count > 0 do nCameras.text = (ContadorCamera.count as string )	
	)
	on tSelect pressed do select ContadorturboSmooth
	on tDelete pressed do for obj in ContadorturboSmooth do deletemodifier obj obj.modifiers[#TurboSmooth]		
	on mSelect pressed do select ContadorMeshMooth
	on mDelete pressed do for obj in ContadorMeshMooth do deletemodifier obj obj.modifiers[#MeshSmooth]
	on pSelect pressed do select ContadorEditMesh
	on pDelete pressed do delete ContadorEditMesh
	on lSelect pressed do select ContadorLight
	on lDelete pressed do delete ContadorLight
	on cSelect pressed do select ContadorCamera
	on cDelete pressed do delete ContadorCamera
	on bPoly pressed do objeto.convertPoly()
	on bMesh pressed do objeto.convertMesh()
	on bAttach pressed do objeto.atacharTodo()
	on bOpen pressed do objeto.desagrupar()
	on lockPos pressed do objeto.lockPos()
	on lockRot pressed do objeto.lockRot()
	on loskScale pressed do objeto.lockScl()
	on lockAll pressed do objeto.lockAll()
	on unlockAll pressed do objeto.unlockAll()
	on bPrepareObj pressed do
	(
	objeto.eliminarExtras()
	objeto.desagrupar()	
	objeto.atacharTodo()
	objeto.alinearPivote()
	objeto.convertMesh()
	objeto.lockAll()
	)	
	on bPrepareScn pressed do
	(
	objeto.eliminarExtras()
	objeto.desagrupar()	
	objeto.alinearPivote()
	objeto.convertMesh()
	objeto.lockAll()
	)	
	on refresh pressed do
	(
		objeto.contador()
		if ContadorturboSmooth.count > 0 do nTurboSmooth.text = (ContadorturboSmooth.count as string )
		if ContadorMeshMooth.count > 0 do nMeshmooth.text = (ContadorMeshMooth.count as string )
		if ContadorEditMesh.count > 0 do nPolys.text = (ContadorEditMesh.count as string )
		if ContadorLight.count > 0 do nLights.text = (ContadorLight.count as string )
		if ContadorCamera.count > 0 do nCameras.text = (ContadorCamera.count as string )	
	)
)
createDialog jCheck width:233 height:317